EDIT - bug #8531

factual data and media view always opened when opening taxon
09/09/2019 01:02 PM - Katja Luther

Status: Closed Start date:

Priority: Priority14 Due date:

Assignee: Katja Luther % Done: 80%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.13

Severity: normal Found in Version:

Description

the factual data and media view should stay closed when opening a new taxon.

when opening the distribution editor the factual data and media view should be closed (see #7854), but when opening a taxon the
factual data view should be opened again only if it was open before.

we need to handle the switch between open views. For example switch between the distribution editor and an already opened taxon

mail of WB:

Das SchlieBen der Media und Facts Views wird jetzt nicht nur beim Start des Editors ignoriert, sondern sie gehen auch wieder auf,
wenn man ein neues Taxon aufruft.

Related issues:
Related to EDIT - bug #8898: Remaining problems with closed/open facts/media ... New

Associated revisions

Revision 4297a77c - 09/09/2019 01:16 PM - Katja Luther

ref #8531: open facts view only if it was open before

History

#1 - 09/09/2019 01:20 PM - Katja Luther
- Description updated
- Status changed from New to Resolved

- % Done changed from 0 to 50

#2 - 09/09/2019 01:21 PM - Katja Luther

- Status changed from Resolved to In Progress

#3 - 09/09/2019 01:22 PM - Katja Luther

- Description updated

#4 - 09/17/2019 12:25 PM - Katja Luther

the editor now remember whether the facts and media view were open before distribution editor was opened and depending on that the facts and
media view is opened again when opening a new taxon.

Still missing:
Open the facts view when switching to an already opened taxon.

#5 - 09/17/2019 12:25 PM - Katja Luther

- Target version changed from Release 5.10 to Release 5.11

#6 - 11/05/2019 01:52 PM - Katja Luther

this is fixed.

Last problem is when the facts view is closed while the distribution editor is already open, then the fatcs will be opened when switching between
distribution editor and name editor

#7 - 11/05/2019 01:52 PM - Katja Luther
- Target version changed from Release 5.11 to Release 5.12

#8 - 01/16/2020 01:03 PM - Katja Luther

- Target version changed from Release 5.12 to Release 5.13

#9 - 03/10/2020 09:51 AM - Katja Luther
- Status changed from In Progress to Resolved

- Assignee changed from Katja Luther to Andreas Mdiller
this should be fixed, now.

#10 - 03/19/2020 02:25 PM - Andreas Miiller
- Status changed from Resolved to Feedback
- Assignee changed from Andreas Muiller to Katja Luther

- % Done changed from 50 to 80

This mostly works but sometimes the behavior is still unexpected, but not that easy to reproduce.
Something that often seems to happen:
® Only Facts View is opened (Media View closed
Open taxon
open distribution editor

g0 back to taxon and close facts view
go back to distribtuion editor and back to taxon again => facts view is open again though it shoud! be closed

| also had some more weired combinations where | closed the facts view and afterwards the media view was open again and similar issues, but this |
could not reproduce.

Please check again intensively that the behavior is as expected even if often change the focus.

However, the main problem is solved. The remaining issues are not release relevant | think and could be moved to a new ticket.

#11 - 03/20/2020 04:12 PM - Katja Luther

- Related to bug #8898: Remaining problems with closed/open facts/media view when opening taxon editor or distribution editor added

#12 - 03/20/2020 04:12 PM - Katja Luther
- Status changed from Feedback to Closed
